Package org.apache.sysds.runtime.compress.plan

# Interface IPlanEncode

All Known Implementing Classes:
  `NaivePlanEncode`

public interface IPlanEncode
Interface for constructing an compression plan that is able to compress sequences of matrix blocks with the same scheme

## Method Summary

Modifier and Type
Method
Description
`CompressedMatrixBlock`
`encode(MatrixBlock in)`
Encode a given matrix block subject to the plan given, while erroring out in case of breaking compression
`void`
`expandPlan(MatrixBlock in)`
Given a block expand the plan to enable encoding of the given block.

## Method Details

### encode

CompressedMatrixBlock encode(MatrixBlock in)
Encode a given matrix block subject to the plan given, while erroring out in case of breaking compression

Parameters:
  `in` - The matrix block to encode
Returns:
  A Compressed Matrix block with the safe scheme applied.

### expandPlan

void expandPlan(MatrixBlock in)
Given a block expand the plan to enable encoding of the given block.

Parameters:
  `in` - The bock